Name: kudzu
Version: 1.1.70
Release: b1
Copyright: GPL
Summary: The Red Hat Linux hardware probing tool.
Group: Applications/System
URL: http://rhlinux.redhat.com/kudzu/
Source: kudzu-%{PACKAGE_VERSION}.tar.bz2
Obsoletes: rhs-hwdiag setconsole
Prereq: chkconfig, modutils >= 2.3.11-5, /etc/init.d
Requires: pam >= 0.74-17, hwdata
Conflicts: netconfig < 0.8.18
Conflicts: Xconfigurator <= 4.9
Conflicts: mouseconfig < 4.18
Conflicts: hwdata < 0.116-1
BuildPrereq: pciutils-devel >= 2.1.11-1, python-devel python newt-devel
%ifarch i386
BuildPrereq: dietlibc
%endif
BuildRoot: %{_tmppath}/%{name}-root

BuildArchitectures: i586


%description
Kudzu is a hardware probing tool run at system boot time to determine
what hardware has been added or removed from the system.

%package devel
Summary: Development files needed for hardware probing using kudzu.
Group: Development/Libraries
Requires: pciutils-devel

%description devel
The kudzu-devel package contains the libkudzu library, which is used
for hardware probing and configuration.

%prep

%setup

# hack: do not start kudzu on s390/s390x on bootup
%ifarch s390 s390x
perl -pi -e "s/345/-/g" kudzu.init
%endif

%build
ln -s `pwd` kudzu

make RPM_OPT_FLAGS="%{optflags} -I." all kudzu

%install
rm -rf $RPM_BUILD_ROOT
make install install-program DESTDIR=$RPM_BUILD_ROOT libdir=$RPM_BUILD_ROOT/%{_libdir}

install -m 755 fix-mouse-psaux $RPM_BUILD_ROOT/%{_sbindir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add kudzu

%preun
if [ $1 = 0 ]; then
	chkconfig --del kudzu
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc README hwconf-description
%{_sbindir}/kudzu
%{_sbindir}/module_upgrade
%{_sbindir}/updfstab
%{_sbindir}/fix-mouse-psaux
%{_mandir}/man8/*
%config(noreplace) /etc/sysconfig/kudzu
%config /etc/rc.d/init.d/kudzu
%{_libdir}/python*/site-packages/*

%Files devel
%defattr(-,root,root)
%{_libdir}/libkudzu.a
%{_libdir}/libkudzu_loader.a
%{_includedir}/kudzu


%changelog
* Wed Jun 23 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.70
* Mon May 24 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.67
* Wed Apr 7 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.54
* Fri Mar 19 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.53
- Support Kernel 2.6
* Mon Feb 9 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.43
* Sat Dec 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.40
* Mon Oct 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.34
* Sat Aug 30 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.20
* Sat Aug 9 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.15
* Sat Jul 19 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 1.1.13
* Mon Jul 7 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from Rawhide
- kudzu-1.1.9-1.1.src.rpm
